--
-- $Id$
--
-- Script containing customer specific sql statements for the KFST database
-- Dit is een script dat een table aanmaakt voor het inlezen van de kostenstructuur.

DEFINE thisfile = 'KFST#55698.SQL'
DEFINE dbuser   = '^KFST'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

BEGIN
FAC.INITSESSION('NL');
END;
/

DECLARE
    v_import_key   NUMBER (10);
BEGIN
    SELECT MAX (fac_import_key)
      INTO v_import_key
      FROM fac_import
     WHERE fac_import_app_key = 61;

    kfst_update_kostenstructuur (v_import_key);

    -- pas de kostensoort_key aan bij de opdracht. Tot nu toe werd een flex kenmerk gebruikt.
    UPDATE mld_opdr o
       SET prs_kostensoort_key =
               (SELECT prs_kostensoort_key
                  FROM prs_kostensoort  ks,
                       mld_kenmerkopdr  ko,
                       fac_usrdata      ud,
                       mld_kenmerk      k
                 WHERE     o.mld_opdr_key = ko.mld_opdr_key
                       AND ko.mld_kenmerk_key = k.mld_kenmerk_key
                       AND k.mld_srtkenmerk_key = 81
                       AND fac.safe_to_number (ko.mld_kenmerkopdr_waarde) =
                           ud.fac_usrdata_key
                       AND ks.prs_kostensoort_refcode = ud.fac_usrdata_code);

    -- verwijder de flexkenmerken hoofdstuk, account, kostencode
    UPDATE mld_kenmerk
       SET mld_kenmerk_verwijder = SYSDATE
     WHERE mld_srtkenmerk_key = 81;                              -- kostencode

    UPDATE mld_kenmerk
       SET mld_kenmerk_verwijder = SYSDATE
     WHERE mld_srtkenmerk_key = 161;                          -- accountnummer

    UPDATE mld_kenmerk
       SET mld_kenmerk_verwijder = SYSDATE
     WHERE mld_srtkenmerk_key = 162;                              -- hoofdstuk

    COMMIT;
END;
/

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile